Bug 130061 - cannot set "Start at" and "Rel. Size" in numbering dialog, stick on zero
Summary: cannot set "Start at" and "Rel. Size" in numbering dialog, stick on zero
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-17 16:58 UTC by Regina Henschel
Modified: 2020-02-05 15:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-01-17 16:58:43 UTC
Start a presentation with "Title, Content" layout.
Write three lines in Content area, e.g. One, Two, Three.
Open master view.
Double-click "Click to edit the outline text format"
In context menu click on item "Bullets and Numbering".
In part Properties set field Type to "A, B, C"
Try to increase value in "Start at:", try to increase value in "Rel. size"

Error: change is not possible. It sticks at 0 and 0%.

When you go back to Normal view, you see the effect of this error: first line has no numbering symbol, second line has a tiny A, third line has a tiny B.

I see the error in Version: 6.5.0.0.alpha0+ (x64)
Build ID: 147af9e2cf7f937ed83ab00574b6a418a2cb629e
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-17 18:22:04 UTC
Regression introduced by:

author	andreas kainz <kainz.a@gmail.com>	2019-10-20 00:44:05 +0200
committer	andreas_kainz <kainz.a@gmail.com>	2019-11-03 13:42:06 +0100
commit e82b10f21cb8b77f815be3bd7654e0de7e8ceab5 (patch)
tree 1f0fbf9a78baa16057db10c26f5889072ebf3a3e
parent a6e682faa612fdb2b669ceaae8c9c3f4964c6b29 (diff)
tdf#128257 Bullet Dialog update

Bisected with: bibisect-linux64-6.4

Adding Cc: to andreas kainz
Comment 2 Xisco Faulí 2020-01-17 18:36:06 UTC
@Caolán, I thought you could be interested in this issue...
Comment 3 Commit Notification 2020-02-03 17:06:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fac86a90db33e4e6d38af134c55f1f6416c928f8

Resolves: tdf#130061 numbering dialog adjustments missing

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-02-03 17:08:40 UTC
fixed in master, backport to 6-4 in gerrit
Comment 5 Commit Notification 2020-02-03 22:52:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/82e54b24a39c89198c09dc40f2880e107390f5c4

Resolves: tdf#130061 numbering dialog adjustments missing

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-02-05 15:32:32 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: d41d7ecb60fb38204fafcb1aa4595992721855e6
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!